      complex function ccbrt (z)
c april 1977 version.  w. fullerton, c3, los alamos scientific lab.
      complex z
      external cabs, carg, cbrt, cos, sin
c
      theta = carg(z) / 3.0
      r = cbrt (cabs(z))
c
      ccbrt = cmplx (r*cos(theta), r*sin(theta))
c
      return
      end
